<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.*" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.formEngine.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ page import="net.sz600.formCreate.*" %>
<%@ include file="/xml/formEngine2/sessionInfo2.jsp"%>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<%
    //获取提交的参数
    String name = SzConvert.toSpaceStr(request.getParameter("name"));
    String readonly = "";
    String sOPERATOR = SzConvert.toSpaceStr(request.getParameter("OPERATOR"));
    String moduleName = SzConvert.toSpaceStr(request.getParameter("moduleName"));
    String formName = SzConvert.toSpaceStr(request.getParameter("formName"));
    BdMail bdMail = new BdMail();
    String str[] = bdMail.getInfo(name);
    
    if (sOPERATOR.equals("add")) {
			str[1] = moduleName;
			str[2] = formName;

    } else if (sOPERATOR.equals("update")) {
			moduleName = str[1];
			formName = str[2];
    }
	  BdFormHelp formHelp = new BdFormHelp();
	  BdModule bdModule = new BdModule();	  		
	  ArrayList formList = formHelp.getFormList(moduleName);
    Iterator iterForm = null;  		
    String temp = "";
    int i =0;
    
    BdFormControl bdFormControl = new BdFormControl();    
    Map fieldMap = bdFormControl.getFieldMap();
    BdFormFieldInfo bdFormFieldInfo = null;
    Collection collFormField = null;
    collFormField = (Collection)fieldMap.get(new String(moduleName + "-" + formName));
    Iterator iterFormField = null;    

		String strPath = "";
		if (!name.equals("") && !moduleName.equals("") && !formName.equals("")) {			
			strPath = "mail/formEngine/index.jsp?name=" + name + "&FormID=" + bdFormControl.getFormID(moduleName, formName);
		}    
%>
<body>

<!-----上面的工具栏------>
<form name="formUpdate" method="post">
  <input type="hidden" name="OPERATOR" value="<%=sOPERATOR%>">
<%@ include file="/xml/formEngine2/title.jsp"%>
<table width="100%">
  <tr>
    <td>
      <%=SzPageHelp.saveButton()%>
      <%=SzPageHelp.backButton()%>
    </td>
  </tr>
</table>

<!-----信息维护------>
<table width="750" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="3" cellspacing="0">
  <tr>
    <td class="tdClassTitle">名称</td>
    <td colspan="3"><input type="text" name="name" value="<%=str[0]%>" size="10" <%if (sOPERATOR.equals("update")){%> readonly class="txtClass1R"<%}else {%>class="txtClass1"<%} %>> (可用字母、数字、下划线的组合，10个字以内) <font color="red">*</font></td>
  </tr>
  <tr>
    <td class="tdClassTitle">模块名称</td>
    <td><input type="text" name="moduleName" class="txtClass1R" value="<%=str[1]%>"  readonly></td>
    <td class="tdClassTitle">表单名称</td>
    <td><input type="text" name="formName" class="txtClass1R" value="<%=str[2]%>" readonly></td>
  </tr> 
  <tr>
    <td class="tdClassTitle">说明</td>
    <td colspan="3"><input type="text" name="desc" class="txtClass2" value="<%=str[3]%>"></td>
  </tr>
  <tr>
    <td class="tdClassTitle">邮箱字段</td>
    <td colspan="3">
    <%

    if (collFormField != null) {
    	iterFormField = collFormField.iterator();
    }    
		temp = str[4];
		i = 0;
		while (iterFormField != null && iterFormField.hasNext()) {
			bdFormFieldInfo = (BdFormFieldInfo) iterFormField.next();			
			if (    bdFormFieldInfo.getZDBJ() == 1 
				 	|| bdFormFieldInfo.getZDBJ() == 3 
				 	|| bdFormFieldInfo.getZDBJ() == 34
			  ) {
					continue;
			}				

			out.println("<span style='width:200px;'><input type='radio' name='mailField' value='" + bdFormFieldInfo.getZDMC() + "'");
			if (temp.equals(bdFormFieldInfo.getZDMC())) {
				out.println(" checked ");
			}
			out.println(">");
			out.println(bdFormFieldInfo.getZDMC() + " " + bdFormFieldInfo.getZDSM());
			i ++;
			out.println("</span>");
			if (i % 3 == 0) {
				out.println("<br>");
			}
		}
		%>    
    </td>
  </tr>  
   
  <tr>
    <td class="tdClassTitle">备注字段</td>
    <td colspan="3"><input type="hidden" name="descField" value="<%=str[5]%>">
    <%
    if (collFormField != null) {
    	iterFormField = collFormField.iterator();
    }    
		temp = "," + str[5] + ",";
		i = 0;
		while (iterFormField != null && iterFormField.hasNext()) {
			bdFormFieldInfo = (BdFormFieldInfo) iterFormField.next();
			if (bdFormFieldInfo.getZDZT() == 2 ) {								 	
				continue;
			}
			if (   	
				bdFormFieldInfo.getZDBJ() == 1 
				|| bdFormFieldInfo.getZDBJ() == 3 
				|| bdFormFieldInfo.getZDBJ() == 34
		    || bdFormFieldInfo.getZDBJ() == 31
				|| bdFormFieldInfo.getZDBJ() == 32
				|| bdFormFieldInfo.getZDBJ() == 133
				|| bdFormFieldInfo.getZDBJ() == 4
				|| bdFormFieldInfo.getZDBJ() == 42
				|| bdFormFieldInfo.getZDBJ() == 43
				|| bdFormFieldInfo.getZDBJ() == 44) {				 	
				continue;
			}				
			
			out.println("<span style='width:200px;'><input type='checkbox' name='descField2' value='" + bdFormFieldInfo.getZDMC() + "'");
			if (temp.indexOf("," + bdFormFieldInfo.getZDMC() + ",")>0) {
				out.println(" checked ");
			}
			out.println(">");
			out.println(bdFormFieldInfo.getZDMC() + " " + bdFormFieldInfo.getZDSM());
			i ++;
			out.println("</span>");
			if (i % 3 == 0) {
				out.println("<br>");
			}
		}
		%>      
    </td>
  </tr>    
  <% if (!strPath.equals("")) { %>  
  <tr>
  	<td class="tdClassTitle">邮件群发查询</td>
  	<td colspan="3"><%=strPath%></td>
  </tr>            
 	<%} %>  
</table>

</form>

<!-----这里包含要提交的内容--->
<form name="formHidden" method="post">
</form>
<script language="javascript" src="../../../share/js/commonTool.js"></script>
<script language="javascript">

  function FormSave(formName, url) {
    if (!notSpace(formName.name, "名称")) {
      return false;
    }  
    
    var mailField = ValueOfRadio(formName.mailField)
    if (mailField == "") {
    	alert("请选择一个邮箱字段");
    	return;
    } 
    
    var descField = ValueOfCheck(formName.descField2)
    if (descField == "") {
    	alert("请至少选择一个备注字段");
    	return false;
    } else {
    	formName.descField.value = descField;
    }     

  
      

    formName.action = "control.jsp";
    formName.submit();
  }
  
  function SelectWin(vObject, i) {
		var moduleName = formUpdate.moduleName.value;
    var formName = eval("formUpdate.formName" + i + ".value");
        
    var url = "../field_select_simple.jsp?object=" + vObject
            + "&moduleName=" + moduleName + "&formName=" + formName;
    window.showModalDialog(url,window,"status=no;dialogWidth=300px;dialogHeight=370px");  
  }

</script>
</body>
